Create Connection Data Source - MindBridge Documentation

Create Connection Data Source

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

API Request

POST /v1/connection-data-source

cURL Example

curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/connection-data-source \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "connectionId": "<string>",
  "tableId": "<string>",
  "schema": {
    "columns": [
      {
        "name": "<string>",
        "nullable": true
      }
    ]
  }
}
'```

#### Python Example

```python
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/connection-data-source"

payload = {
    "connectionId": "<string>",
    "tableId": "<string>",
    "schema": { "columns": [
            {
                "name": "<string>",
                "nullable": True
            }
        ] }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript Example

const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    connectionId: '<string>',
    tableId: '<string>',
    schema: {columns: [{name: '<string>', nullable: true}]}
  })
};

fetch('https://{tenant}.mindbridge.ai/api/v1/connection-data-source', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP Example

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/connection-data-source",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'connectionId' => '<string>',
    'tableId' => '<string>',
    'schema' => [
        'columns' => [
                [
                                'name' => '<string>',
                                'nullable' => true
                ]
        ]
    ]
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go Example

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://{tenant}.mindbridge.ai/api/v1/connection-data-source"

payload := strings.NewReader("{\n  \"connectionId\": \"<string>\",\n  \"tableId\": \"<string>\",\n  \"schema\": {\n    \"columns\": [\n      {\n        \"name\": \"<string>\",\n        \"nullable\": true\n      }\n    ]\n  }\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Response Structure

201 - application/json

{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "connectionId": "<string>",
  "tableId": "<string>",
  "schema": {
    "columns": [
      {
        "name": "<string>",
        "nullable": true
      }
    ]
  }
}

Authorizations

Authorization: Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body Parameters